curl
curl -sS "https://gateway.orbit/api/v1/conn/profiles/1/settings" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"profile_id": 123,
"version": 123,
"settings": {},
"sections": {},
"updated_at": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Conn
Show profile settings
Returns the profile settings document, its version, and when it last changed. sections lists the sections that were written (workspaces, appearance, devices.<type>) with their version, the time of the last write, and the name of the Node that wrote it. A section that is not listed is at version 0.
GET
/
api
/
v1
/
conn
/
profiles
/
{profile}
/
settings
curl
curl -sS "https://gateway.orbit/api/v1/conn/profiles/1/settings" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"profile_id": 123,
"version": 123,
"settings": {},
"sections": {},
"updated_at": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}